---
title: Publish a Story
description: Publishing a story (besides using the publish property via creation) can be done by sending a GET request for each story you want to publish with story_id using the following endpoint.Multiple language versions of a story can be published using the lang parameter (Publish translations individually has to be enabled in Settings &gt; Internationalization).
url: https://storyblok.com/docs/api/management/stories/publish-a-story
---

# Publish a Story

GET

```html
https://mapi.storyblok.com/v1/spaces/:space_id/stories/:story_id/publish
```

Publishing a story (besides using the `publish` property via creation) can be done by sending a GET request for each story you want to publish with `story_id` using the following endpoint.

Multiple language versions of a story can be published using the `lang` parameter (**Publish translations individually** has to be enabled in **Settings** → **Internationalization**).

## Path parameters

-   `:space_id` (required) (number)
    
    Numeric ID of a space
    
-   `:story_id` (required) (number)
    
    The numeric id of story
    

## Query parameters

-   `lang` (string)
    
    Accept a list of languages codes separated by a comma, e.g.: `lang=es,pt-br,[default]`
    

## Request body properties

-   `release_id` (number)
    
    Numeric ID of release (Optional)
    

## Examples

-   cURL
    
    ```shellscript
    curl "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/2141/publish\
    ?lang=de" \
      -H "Authorization: YOUR_OAUTH_TOKEN"
    ```
    
-   JS
    
    ```javascript
    // storyblok-js-client@>=7, node@>=18
    import Storyblok from "storyblok-js-client";
    
    const storyblok = new Storyblok({
      oauthToken: "YOUR_PERSONAL_ACCESS_TOKEN",
    });
    
    try {
      const response = await storyblok.get('spaces/288868932106293/stories/2141/publish', {
        "lang": "de"
      })
      console.log({ response })
    } catch (error) {
      console.log(error)
    }
    ```
    
-   PHP
    
    ```php
    $client = new \Storyblok\ManagementClient('YOUR_OAUTH_TOKEN');
    
    $client->get('spaces/288868932106293/stories/2141/publish', [
      "lang" => "de"
    ])->getBody();
    ```
    
-   Java
    
    ```java
    HttpResponse<String> response = Unirest.get("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/2141/publish?lang=de")
      .header("Authorization", "YOUR_OAUTH_TOKEN")
      .asString();
    ```
    
-   C#
    
    ```csharp
    var client = new RestClient("https://mapi.storyblok.com/v1/spaces/288868932106293/stories/2141/publish?lang=de");
    var request = new RestRequest(Method.GET);
    
    request.AddHeader("Authorization", "YOUR_OAUTH_TOKEN");
    IRestResponse response = client.Execute(request);
    ```
    
-   Python
    
    ```python
    import requests
    
    url = "https://mapi.storyblok.com/v1/spaces/288868932106293/stories/2141/publish"
    
    querystring = {"lang":"de"}
    
    payload = ""
    headers = {
      'Authorization': "YOUR_OAUTH_TOKEN"
    }
    
    response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
    
    print(response.text)
    ```
    
-   Ruby
    
    ```ruby
    require 'storyblok'
    client = Storyblok::Client.new(oauth_token: 'YOUR_OAUTH_TOKEN')
    
    client.get('spaces/288868932106293/stories/2141/publish', {:params => {
      "lang" => "de"
    }})
    ```
    
-   Swift
    
    ```swift
    let storyblok = URLSession(storyblok: .mapi(accessToken: .oauth("YOUR_OAUTH_TOKEN")))
    var request = URLRequest(storyblok: storyblok, path: "spaces/288868932106293/stories/2141/publish")
    request.url!.append(queryItems: [
        URLQueryItem(name: "lang", value: "de")
    ])
    let (data, _) = try await storyblok.data(for: request)
    print(try JSONSerialization.jsonObject(with: data))
    ```
    
-   Kotlin
    
    ```kotlin
    val client = HttpClient {
        install(Storyblok(MAPI)) {
            accessToken = OAuth("YOUR_OAUTH_TOKEN")
        }
    }
    
    val response = client.get("spaces/288868932106293/stories/2141/publish") {
        url {
            parameters.append("lang", "de")
        }
    }
    
    println(response.body<JsonElement>())
    ```

## Pagination

-   [Previous: Update a Story](/docs/api/management/stories/update-a-story)
-   [Next: Unpublish a Story](/docs/api/management/stories/unpublish-a-story)
